:host {
  display: block;
  --font-bold: 700;
  --font-medium: 600;
  --container-max-width: 960px;
}

ion-header {
  box-shadow: 0px 4px 30px rgba(0, 0, 0, 0.02);
  
  ion-toolbar {
    --min-height: 64px;
    --padding-end: 1em;
    --padding-start: 1em;
    background: var(--ion-color-primary) !important;
    color: var(--ion-color-gray1) !important;

    .g-button-proxy-request {
      border-width: 0px !important;
    }
    
    ion-buttons {
      ion-back-button {
        --icon-font-size: 24px;
      }
    }
    ion-title {
      text-align: center;
      font-size: 16px;
      font-weight: var(--font-medium);
      letter-spacing: inherit;
      // padding-left: 0px;
      // margin-left: 0px;
    }
  }
}

ion-content {
  width:100%;
  margin:auto;
  --background: var(--ion-background-color) !important;
  // margin-top: 1rem;

  .d-content-section {
    display: flow-root;
    /* 1 */
    box-sizing: content-box;
    max-width: var(--container-max-width);
    margin-left: auto;
    margin-right: auto;
    // padding: 0px 20px;
    padding: 0px;
    margin-top: 0rem;


    /* Phone landscape and bigger */
    @media (min-width: 640px) {
      padding: 0px 2rem;
    }

    /* Tablet landscape and bigger */
    @media (min-width: 960px) {
      padding: 0px 2.5rem;
    }

  }
}

.d-content-section {
  margin-bottom: 2rem;

  ion-item {
    --inner-padding-start: .25rem;
    --inner-padding-end: .25rem;
  }

  p {
    color: var(--ion-color-gray6);
    font-weight: var(--font-medium);
    font-size: .75rem;
    margin-top: 2rem;
    margin-bottom: 0px;
    text-transform: uppercase;
  }

  h1 {
    color: var(--ion-color-gray8);
    font-weight: var(--font-bold);
    font-size: 1.5rem;
    line-height: 130%;
    margin-top: .5rem !important;
    width: 380px;
    @media (max-width: 572px) {
      width: 85%;
    }
  }

  h3 {
    color: var(--ion-color-gray8);
    margin-top: 2.5rem;
    font-weight: var(--font-medium);
    font-size: 1rem;
    line-height: 120%;
  }
}

ion-card {
    box-shadow: rgb(0 0 0 / 8%) 0 4px 12px !important;
    margin-top: .5rem;
    background: white;
    border: 1px solid var(--ion-color-gray3);
  
    ion-card-header {
        padding: 2rem !important;
        font-size: 1.4rem;
        line-height: 1.8rem;

        ion-card-title {
            font-weight: var(--font-bold) !important;
            color: var(--ion-color-gray9);
        }

        ion-card-subtitle  {
          font-weight: 500;
          font-size: 16px;
          line-height: 150%;
          color: var(--ion-color-gray7);
        }   
    }

  *.d-card-description {
    font-weight: bold;
    color: var(--ion-color-gray6);
    margin: 0rem 2rem !important;
  }

  *.d-card-conclusion {
    font-weight:bold;
    color: var(--ion-color-primary);
    margin: 0rem 2rem !important;
    
    &.error {
      color: var(--ion-color-danger) !important;
    }
  }
     

  ion-card-content {
 
 
    glass-input {
        ion-item {
            --background-hover: transparent;
            --background: white;
            --ripple-color: transparent;
            padding:0px 1rem !important;
        }
    }

    .button-has-icon-only {
        ion-icon {
            color: var(--ion-color-primary);
            
          }
    }
  }

  .d-card-footer {
    padding: 1.5rem !important;
    margin-bottom: 1rem;

  
    ion-button {
      text-transform: uppercase;
  
      * {
        font-size: 14px !important;
  
      }
    }
  }
  
}